com.intellectualcrafters.plot.object

## Class PlotSelection

- java.lang.Object
- - com.intellectualcrafters.plot.object.PlotSelection

-     public class PlotSelection
      extends java.lang.Object

  Created 2014-10-12 for PlotSquared

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.util.HashMap<java.lang.String,PlotSelection>` | `currentSelection`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlotSelection(int width, org.bukkit.World world, Plot plot)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `PlotBlock[]` | `getBlocks()`
    `Plot` | `getPlot()`
    `int` | `getWidth()`
    `void` | `paste(org.bukkit.World world, Plot plot)`
    `static boolean` | `swap(org.bukkit.World world, PlotId id1, PlotId id2)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### currentSelection

          public static java.util.HashMap<java.lang.String,PlotSelection> currentSelection

  - ### Constructor Detail

    - #### PlotSelection

          public PlotSelection(int width,
                       org.bukkit.World world,
                       Plot plot)

  - ### Method Detail

    - #### swap

          public static boolean swap(org.bukkit.World world,
                     PlotId id1,
                     PlotId id2)

    - #### getBlocks

          public PlotBlock[] getBlocks()

    - #### getWidth

          public int getWidth()

    - #### getPlot

          public Plot getPlot()

    - #### paste

          public void paste(org.bukkit.World world,
                   Plot plot)